Branches for Gutsy

Name Status Last Modified Last Commit
lp:ubuntu/gutsy/ghostscript 1 Development 2009-07-08 22:05:12 UTC 2009-07-08
14. [ Till Kamppeter ] * debian/rules: In...

Author: Martin Pitt
Revision Date: 2007-10-09 23:00:28 UTC

[ Till Kamppeter ]
* debian/rules: Install missing *.upp files (usptream bug, LP: #150985).

[ Martin Pitt ]
* debian/rules: Clean files from package ghostscript which are moved to
  ghostscript-doc on i386 (where arch-all packages are built). On all
  non-i386 platforms the files remained in the main package, which causes
  file conflicts and unnecessary package growth. This is a quick hack for
  Gutsy. In Hardy, this horribly broken build system should be fixed
  properly.

lp:ubuntu/gutsy-proposed/ghostscript 1 Development 2009-07-08 22:05:49 UTC 2009-07-08
16. debian/patches/42_print_encrypted_PDF...

Author: Till Kamppeter
Revision Date: 2007-12-12 12:17:43 UTC

debian/patches/42_print_encrypted_PDFs_from_adobe_reader_8.dpatch:
Fixed printing of encrypted PDF files from Adobe Reader 8.1.1. This is
the real fix now and not only a workaround. (Ghostscript bug #689577,
Ubuntu bug LP: #172264).

lp:ubuntu/gutsy-security/ghostscript bug 1 Development 2009-07-08 22:07:08 UTC 2009-07-08
17. * SECURITY UPDATE: Arbitrary code exe...

Author: Marc Deslauriers
Revision Date: 2009-03-22 19:37:27 UTC

* SECURITY UPDATE: Arbitrary code execution due to integer overflows and
  insufficient upper-bounds checks in the ICC library
  - debian/patches/44_CVE-2009-0583_0584.dpatch: fix multiple integer
    overflows and perform bounds checking in icclib/icc.c.
  - CVE-2009-0583
  - CVE-2009-0584

lp:ubuntu/gutsy-updates/ghostscript 1 Development 2009-07-08 22:06:07 UTC 2009-07-08
17. * SECURITY UPDATE: Arbitrary code exe...

Author: Marc Deslauriers
Revision Date: 2009-03-22 19:37:27 UTC

* SECURITY UPDATE: Arbitrary code execution due to integer overflows and
  insufficient upper-bounds checks in the ICC library
  - debian/patches/44_CVE-2009-0583_0584.dpatch: fix multiple integer
    overflows and perform bounds checking in icclib/icc.c.
  - CVE-2009-0583
  - CVE-2009-0584

14 of 4 results